package com.xxfc.platform.order.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import java.util.Date;

@Data
public class OrderViolation {

    @Id
    @GeneratedValue(generator ="JDBC")
    private Integer id;

    /**
     * 违章总金额
     */
    @Column(name="price")
    private Double price;


    /**
     * 租车订单id
     */
    @Column(name = "detail_id")
    private Integer detailId;

    /**
     * 违章截图
     */
    @Column(name = "picture")
    private String picture;


    /**
     * 创建人id
     */
    @Column(name = "crt_user_id")
    private Integer crtUserId;

    /**
     * 创建人姓名
     */
    @Column(name = "crt_name")
    private String crtName;

    /**
     * 创建人host
     */
    @Column(name = "crt_host")
    private String crtHost;

    /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy-MM-dd:HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd:HH:mm:ss")
    @Column(name = "crt_time")
    private Date crtTime;

    /**
     * 修改时间
     */
    @JsonFormat(pattern="yyyy-MM-dd:HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd:HH:mm:ss")
    @Column(name = "upd_time")
    private Date updTime;

    /**
     * 修改人id
     */
    @Column(name = "upd_user_id")
    private Integer updUserId;

    /**
     * 修改人姓名
     */
    @Column(name = "upd_name")
    private String updName;

    /**
     * 修改人host
     */
    @Column(name = "upd_host")
    private String updHost;
    /**
     * 是否已删除:0-否,1-是
     */
     @Column(name="is_del")
    private Integer isDel;

}
